//***********************************************************************************//
//*	Project:																		*//
//*																					*//
//*	File:		`$INSTANCE_NAME`.h													*//
//*	Version:	1.0																	*//
//*																					*//
//*	Author:		Bob Marlowe															*//
//*	(C) 2018	Jörg Meier Software - Entwicklung briefe@jmeiersoftware.de			*//
//***********************************************************************************//
//***********************************************************************************//
//*																					*//
//*		Principles of Operation														*//
//*																					*//
//*		Driver for up to 10 servos for 1ms to 2ms pulse control						*//
//*																					*//
//*		A single PWM with interrupts for TC and CC (indicates pulse end) 			*//
//*		is used. The servo outputs are changed by the software, so there is 		*//
//*		only one pulse active at the time.											*//
//*		Pulses are repeated every 20ms, so after all servos are handled a delay		*//
//*		is appended to maintain the 20 ms (50Hz) interval							*//
//*																					*//
//***********************************************************************************//

#ifndef `$INSTANCE_NAME`_h
#define `$INSTANCE_NAME`_h
//***********************************************************************************//
//**************** Libraries ********************************************************//
//***********************************************************************************//
#include <project.h>

//***********************************************************************************//
//**************** Definitions and Macros *******************************************//
//***********************************************************************************//
#define MaxServos	10							//	Maximum of supported servos 
#define `$INSTANCE_NAME`_NumServos  `$NUM_SERVOS`		//	Configured number of servos
	
//***********************************************************************************//
//******************* Structs, Typedefs and Enums ***********************************//
//***********************************************************************************//
//	None yet

//***********************************************************************************//
//*******************External Data Area *********************************************//
//***********************************************************************************//
volatile extern	uint8 `$INSTANCE_NAME`_CycleDone;					//	Indicator for a completed cycle
	
//***********************************************************************************//
//****************** Prototypes APIs ************************************************//
//***********************************************************************************//
void `$INSTANCE_NAME`_Start(void);									//	Initialize all servos and set mid-position as default
void `$INSTANCE_NAME`_SetServo(uint8 ServoNumber,uint8 Percent);	//	Set servo position between 0 and 100%
uint8 `$INSTANCE_NAME`_GetServo(uint8 Servonumber);					//	Get currently set percentage of servo
void `$INSTANCE_NAME`_MoveServos(void);								//	Start movement for all servos


#endif



